package com.sw.mes.yb.check.entity.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 样片检验-碳氧寿命
 */

public class PieceCheckLife {

    private String pieceNo;

    /**
     * 碳含量
     */
    private BigDecimal cContents;

    //private BigDecimal cBorderContents;

    /**
     * 氧含量
     */
    private BigDecimal oContents;

    //private BigDecimal oBorderContents;

    /**
     * 寿命
     */
    private BigDecimal lifeTime;

    /**
     * 备注2
     */
    private String remark2;

    /**
     * 记录人2
     */
    private String userName2;

    /**
     * 车间
     */
    private String workshop;


    // 厚度
    private BigDecimal thickness;


    public String getPieceNo() {
        return pieceNo;
    }

    public void setPieceNo(String pieceNo) {
        this.pieceNo = pieceNo;
    }

    public BigDecimal getcContents() {
        return cContents;
    }

    public void setcContents(BigDecimal cContents) {
        this.cContents = cContents;
    }

    public BigDecimal getoContents() {
        return oContents;
    }

    public void setoContents(BigDecimal oContents) {
        this.oContents = oContents;
    }

    public BigDecimal getLifeTime() {
        return lifeTime;
    }

    public void setLifeTime(BigDecimal lifeTime) {
        this.lifeTime = lifeTime;
    }

    public String getRemark2() {
        return remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public String getUserName2() {
        return userName2;
    }

    public void setUserName2(String userName2) {
        this.userName2 = userName2;
    }

    public String getWorkshop() {
        return workshop;
    }

    public void setWorkshop(String workshop) {
        this.workshop = workshop;
    }

    public BigDecimal getThickness() {
        return thickness;
    }

    public void setThickness(BigDecimal thickness) {
        this.thickness = thickness;
    }
}
